package stx.libjava;

/**
 * A specialised ClassLoader to load Smalltalk classes.
 * 
 * @author Jan Vrany
 *
 */

public class ClassLoader extends java.lang.ClassLoader {
	
	protected Class<?> findClass(String name) throws ClassNotFoundException {
		if (runningOnStX) 
			return findClassS(name);
		else 
			throw new ClassNotFoundException(name);
	}
	
	protected native Class<?> findClassS(String name) throws ClassNotFoundException;
	
	public static java.lang.ClassLoader getSmalltalkClassLoader() {
		return scl;
	}
	
	protected static boolean runningOnStX = (System.getProperty("java.vm.name").equals("Smalltalk/X"));
	
	protected static ClassLoader scl = new stx.libjava.ClassLoader();
	
	

}
